/**
 * Data model pour les équipements
 */
export default class EquipementDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      quantite: new fields.NumberField({ initial: 1, integer: true, min: 0 }),
      rarete: new fields.NumberField({ initial: 0, integer: true }),
      prix: new fields.NumberField({ initial: 0, integer: true })
    };
  }
}
